Bug 78908 - no frame background images after loading particular ODF document
Summary: no frame background images after loading particular ODF document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: odf target:4.3.0
Keywords: regression
Depends on:
Blocks: mab4.3
  Show dependency treegraph
 
Reported: 2014-05-19 12:41 UTC by Michael Stahl (CIB)
Modified: 2014-07-10 14:18 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Stahl (CIB) 2014-05-19 12:41:18 UTC
attachment of bug: 42341
https://bugs.freedesktop.org/attachment.cgi?id=52855

after loading the background images of the Frames "Keret1" etc.
are gone, there's just a solid blue background.

works in current libreoffice-4-2.

4.2 shows the image in Frame dialog on "Background" tab,
but strangely master has no "Background" tab but instead
"Area" and "Transparency"?
Comment 1 Miklos Vajna 2014-05-19 12:47:19 UTC
Probably 6e61ecd09679a66060f932835622821d39e92f01 (Merge back branch alg_writerframes to trunk, 2014-03-19) is related.
Comment 2 Miklos Vajna 2014-05-19 17:00:25 UTC
Bibisect range is a85145a359f5f21b2d57d822b2785a85c6566856..ffaf640b734885d2844a99cc1fd61c8a6a1d663b, contains the above mentioned commit.
Comment 3 Miklos Vajna 2014-05-19 19:57:01 UTC
Aha, it seems that the bug is about how a bitmap background and transparency interacts. In the past, style:background-transparency (which is 100%, e.g. fully transparent) was ignored, and in case the user set a (semi-)transparent background e.g. to 90%, then the child style:background-image's draw:opacity attribute was set to 100-value, so "10%" in this case.

The new behavior is incompatible (though it's consistent with drawinglayer shapes): it parses style:background-transparency, that's how in the document the background bitmap is not visible.
Comment 4 Miklos Vajna 2014-05-19 20:40:16 UTC
Michael: I guess the fix would be to make sure that we ignore style:background-transparency if draw:opacity is present. I tried to do that, but it seems that the normal content filters are evaluated only for the style:graphic-properties's attributes, not for child elements' attributes (like style:background-image); I wonder if you know of an example where we handle something like this already.

WIP patch: http://pastebin.com/raw.php?i=gzRM8sgr
Comment 5 Miklos Vajna 2014-07-01 16:11:00 UTC
http://cgit.freedesktop.org/libreoffice/core/commit/?id=7b66810f17c1000ac1d4dc3c5ba49842a0d146be

and the commits right before it fix this bug.
Comment 6 Miklos Vajna 2014-07-01 17:26:43 UTC
-4-3 review: https://gerrit.libreoffice.org/10025
Comment 7 Miklos Vajna 2014-07-04 09:38:12 UTC
-4-3 review, second try: https://gerrit.libreoffice.org/10077
Comment 8 Commit Notification 2014-07-04 16:46:39 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc17dad5fd7509f191718df8690e5847ab87669a&h=libreoffice-4-3

fdo#78908 Revert "Merge back branch alg_writerframes to trunk"


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-07-10 14:18:44 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-3-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=18c105107b5664c3247274dbb629781606029634&h=libreoffice-4-3-0

fdo#78908 Revert "Merge back branch alg_writerframes to trunk"


It will be available already in LibreOffice 4.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.